# [for (x)emacs] -*- coding: utf-8 -*-
Summary: A graphical interface for modifying the system language
Name: redhat-config-language
Version: 1.0.1
Release: 6
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Obsoletes: locale_config

%description
redhat-config-language is a graphical user interface that 
allows the user to change the default language of the system.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category Application \
  --add-category SystemSetup \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-language.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-language ] ; then
  rm -rf /usr/share/redhat-config-language/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
#%doc COPYING
#%doc doc/*
/usr/bin/redhat-config-language
%dir /usr/share/redhat-config-language
/usr/share/redhat-config-language/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/language.py
%attr(0644,root,root) %{_datadir}/applications/redhat-config-language.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-language
%attr(0644,root,root) %config /etc/pam.d/redhat-config-language

%changelog
* Tue Sep 10 2002 Bill Nottingham <notting@redhat.com> 1.0.1-6
- don't write SYSFONTACM="utf8"; switch default font to match anaconda

* Tue Sep  3 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.0.1-5
- Obsolete locale_config

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- Convert to noarch

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Remove dupe for Romanian

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- Only apply the changes if the user actually changed something

* Wed Aug 21 2002 Preston Brown <pbrown@localhost.localdomain> 1.0.1-1
- we were writing to the wrong gdm file...

* Fri Aug 16 2002 Brent Fox <bfox@redhat.com> 1.0-2
- pull translations into locale-list
- convert locale-list to UTF-8

* Fri Aug 16 2002 Preston Brown <pbrown@redhat.com> 1.0-1
- reset GDM config if lang changes

* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 0.9.9-8
- call destroy on window close

* Tue Aug 13 2002 Tammy Fox <tfox@redhat.com> 0.9.9-7
- better icon

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-6
- Fix desktop file icon path

* Mon Aug 12 2002 Brent Fox <bfox@redhat.com> 0.9.9-5
- update locale list

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-4
- Replace System with SystemSetup in desktop file categories

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- fix desktop file

* Mon Aug 05 2002 Brent Fox <bfox@redhta.com> 0.9.9-1
- pull in desktop file translations

* Fri Aug 02 2002 Tammy Fox <tfox@redhat.com> 0.9.8-2
- Fix desktop file categories

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Tue Jul 23 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fix desktop file (bug #69475)

* Thu Jul 18 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- Update for pygtk2 API change

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Thu Jun 27 2002 Brent Fox <bfox@redhat.com> 0.9.1-2
- Added a message dialog when applying changes

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.4-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.4-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- Remove cancel button
- init doDebug to None

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Don't pass doDebug into init
- Add snapsrc to Makefile

* Wed May 29 2002 Brent Fox <bfox@redhat.com> 0.2.0-6
- handle an existing but empty i18n file 

* Sun May 26 2002 Brent Fox <bfox@redhat.com> 0.2.0-5
- raise a RuntimeError if /etc/sysconfig/i18n file doesn't exist

* Tue May 14 2002 Brent Fox <bfox@redhat.com>
- improved check for existing i18n file
- added debug mode capability

* Tue Nov 28 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

